Name:           slock
Version:        0.9
Release:        10%{?dist}
Summary:        Simple X display locker
Group:          User Interface/X
License:        MIT
URL:            http://tools.suckless.org/%{name}
Source0:        http://dl.suckless.org/tools/%{name}-%{version}.tar.gz
Patch0:         slock-0.9-flags.patch
# Upstream patches since 0.9
Patch101:       slock-0.9-dpms-timeout.patch
Patch102:       slock-0.9-old-style-multiheaded-setup.patch
Patch103:       slock-0.9-passwd-availability-check.patch
Patch104:       slock-0.9-dummy-error-handler.patch

BuildRequires:  libX11-devel libXext-devel 

%description
slock is a simple X display locker. Really this is the simplest X screen locker
we are aware of. It is stable and quite a lot people in this community are
using it every day when they are out with friends or fetching some food from
the local pub.

%prep
%setup -q
# set fedora generic compiler flags and allow debuginfo generation
%patch0 -p1 -b .flags
# upstream patches for 0.9
%patch101 -p1 -b .dpms-timeout
%patch102 -p1 -b .multiheaded
%patch103 -p1 -b .passwd
%patch104 -p1 -b .dummy-err-handler

%build
make %{?_smp_mflags}

%install
make install PREFIX=%{buildroot}/usr

%files
%defattr(-,root,root,-)
%doc README LICENSE
%{_bindir}/%{name}
# There is no freedesktop.org .desktop file because slock is basically a helper
# binary for light windowmanagers, and it shouldn't appear in applications menu

%changelog
* Mon Jan 23 2012 Petr Šabata <contyk@redhat.com> - 0.9-10
- Add a dummy error handler to prevent X from terminating slock (079717422185)

* Fri Apr 22 2011 Petr Sabata <psabata@redhat.com> - 0.9-9
- Include upstream bugfixes for last three years; this includes better
  multiheaded and DPMS support, as well as check for password availability

* Tue Mar 01 2011 Petr Sabata <psabata@redhat.com> - 0.9-8
- Spec cleanup -- buildroot garbage removed, URL and Source corrected

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Mar 27 2009 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9-5
- Added comment about unneeded .desktop file

* Mon Mar 23 2009 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9-4
- Replaced sed expressions with a patch

* Sun Mar 15 2009 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9-3
- Fixed debuginfo generation

* Sun Mar 08 2009 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9-2
- Set fedora generic compiler flags

* Fri Feb 27 2009 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9-1
- Initial specfile for slock
